tigase.jaxmpp.core.client.xml

## Class ElementComparator

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementComparator

- All Implemented Interfaces:
    Comparator<Element>

      public class ElementComparator
      extends Object
      implements Comparator<Element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementComparator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(Element e1, Element e2)`
    `static boolean` | `equal(Element e1, Element e2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### ElementComparator

          public ElementComparator()

  - ### Method Detail

    - #### equal

          public static boolean equal(Element e1,
                                      Element e2)

    - #### compare

          public int compare(Element e1,
                             Element e2)

      Specified by:
        `compare` in interface `Comparator<Element>`

Copyright © 2006–2020 Tigase. All rights reserved.